Index: LMDZ5/branches/testing/libf/phylmd/cva_driver.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/cva_driver.F90	(revision 2160)
+++ LMDZ5/branches/testing/libf/phylmd/cva_driver.F90	(revision 2220)
@@ -7,5 +7,5 @@
                       u1, v1, tra1, &
                       p1, ph1, &
-                      Ale1, Alp1, &
+                      Ale1, Alp1, omega1, &
                       sig1feed1, sig2feed1, wght1, &
                       iflag1, ft1, fq1, fu1, fv1, ftra1, &
@@ -24,5 +24,6 @@
                       da1, phi1, mp1, phi21, d1a1, dam1, sigij1, wghti1, & ! RomP, RL
                       clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, &        ! RomP, RL
-                      wdtrainA1, wdtrainM1)                                ! RomP
+                      wdtrainA1, wdtrainM1, qtc1, sigt1, tau_cld_cv, &
+                      coefw_cld_cv)                                        ! RomP, AJ
 ! **************************************************************
 ! *
@@ -55,4 +56,6 @@
 ! iflag_ice_thermo Integer        Input        accounting for ice thermodynamics (0/1)
 ! iflag_clos    Integer        Input        version of closure (0/1)
+! tau_cld_cv    Real           Input        characteristic time of dissipation of mixing fluxes
+! coefw_cld_cv  Real           Input        coefficient for updraft velocity in convection
 ! ok_conserv_q  Logical        Input        when true corrections for water conservation are swtiched on
 ! delt          Real           Input        time step
@@ -119,5 +122,6 @@
 ! phi1          Real           Output     used in tracer transport (cvltr)
 ! mp1           Real           Output     used in tracer transport (cvltr)
-                                         
+! qtc1          Real           Output     specific humidity in convection
+! sigt1         Real           Output     surface fraction in adiabatic updrafts                                         
 ! phi21         Real           Output     used in tracer transport (cvltr)
                                          
@@ -163,4 +167,6 @@
   INTEGER iflag_clos
   LOGICAL ok_conserv_q
+  REAL tau_cld_cv
+  REAL coefw_cld_cv
   REAL delt
   REAL t1(len, nd)
@@ -178,4 +184,5 @@
   REAL Ale1(len)
   REAL Alp1(len)
+  REAL omega1(len,nd)
   REAL sig1feed1 ! pressure at lower bound of feeding layer
   REAL sig2feed1 ! pressure at upper bound of feeding layer
@@ -225,4 +232,7 @@
   REAL asupmaxmin1(len)
   INTEGER lalim_conv(len)
+  REAL qtc1(len, nd)         ! cld
+  REAL sigt1(len, nd)        ! cld
+
 ! RomP >>>
   REAL wdtrainA1(len, nd), wdtrainM1(len, nd)
@@ -455,4 +465,5 @@
   REAL supmax(nloc, klev)
   REAL Ale(nloc), Alp(nloc), coef_clos(nloc)
+  REAL omega(nloc,klev)
   REAL sigd(nloc)
 ! real mp(nloc,klev), qp(nloc,klev), up(nloc,klev), vp(nloc,klev)
@@ -487,4 +498,7 @@
   REAL hnk(nloc), unk(nloc), vnk(nloc)
 
+  REAL qtc(nloc, klev)         ! cld
+  REAL sigt(nloc, klev)        ! cld
+ 
 ! RomP >>>
   REAL wdtrainA(nloc, klev), wdtrainM(nloc, klev)
@@ -593,4 +607,6 @@
 
 ! RomP >>>
+  sigt1(:, :) = 0.
+  qtc1(:, :) = 0.
   wdtrainA1(:, :) = 0.
   wdtrainM1(:, :) = 0.
@@ -776,5 +792,5 @@
                          h1_wake, lv1_wake, lf1_wake, cpn1_wake, tv1_wake, &
                          sig1, w01, ptop21, &
-                         Ale1, Alp1, &
+                         Ale1, Alp1, omega1, &
                          iflag, nk, icb, icbs, &
                          plcl, tnk, qnk, gznk, hnk, unk, vnk, &
@@ -786,5 +802,5 @@
                          h_wake, lv_wake, lf_wake, cpn_wake, tv_wake, &
                          sig, w0, ptop2, &
-                         Ale, Alp)
+                         Ale, Alp, omega)
 
 ! print*,'tv ',tv
@@ -877,5 +893,5 @@
         CALL cv3p1_closure(nloc, ncum, nd, icb, inb, &         ! na->nd
                            pbase, plcl, p, ph, tv, tvp, buoy, &
-                           supmax, ok_inhib, Ale, Alp, &
+                           supmax, ok_inhib, Ale, Alp, omega, &
                            sig, w0, ptop2, cape, cin, m, iflag, coef_clos, &
                            Plim1, plim2, asupmax, supmax0, &
@@ -978,5 +994,5 @@
                      cbmf, upwd, dnwd, dnwd0, ma, mip, &
                      tls, tps, qcondc, wd, &
-                     ftd, fqd)
+                     ftd, fqd, qnk, qtc, sigt, tau_cld_cv, coefw_cld_cv)
     END IF
 
@@ -1032,4 +1048,5 @@
                            clw, elij, evap, ep, epmlmMm, eplaMm, &       ! RomP
                            wdtrainA, wdtrainM, &                         ! RomP
+                           qtc, sigt, &
                            iflag1, kbas1, ktop1, &
                            precip1, cbmf1, plcl1, plfc1, wbeff1, sig1, w01, ptop21, &
@@ -1043,5 +1060,6 @@
                            da1, phi1, mp1, phi21, d1a1, dam1, sigij1,  & ! RomP
                            clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, & ! RomP
-                           wdtrainA1, wdtrainM1)                         ! RomP
+                           wdtrainA1, wdtrainM1,                       & ! RomP
+                           qtc1, sigt1)
     END IF
 