Index: LMDZ5/branches/LMDZ6_rc0/DefLists/field_def_lmdz.xml
===================================================================
--- LMDZ5/branches/LMDZ6_rc0/DefLists/field_def_lmdz.xml	(revision 2272)
+++ LMDZ5/branches/LMDZ6_rc0/DefLists/field_def_lmdz.xml	(revision 2276)
@@ -1,3 +1,3 @@
-<field_definition level="1" prec="4" operation="average" freq_op="1ts" enabled=".true.">
+<field_definition level="1" prec="4" operation="average" freq_op="1ts" enabled=".true." default_value="9.96921e+36">
     
 <!--    <field_group id="fields_1D" grid_ref="vertical">  -->
@@ -598,5 +598,5 @@
     </field_group>
 
-    <field_group id="fields_COSP_CALIPSO" domain_ref="dom_glo">
+    <field_group id="fields_COSP_CALIPSO" domain_ref="dom_glo" freq_op="3h">
       <field id="cllcalipso"    long_name="Lidar Low-level Cloud Fraction"   unit="1" />
       <field id="clhcalipso"    long_name="Lidar Hight-level Cloud Fraction"   unit="1" />
@@ -606,4 +606,5 @@
       <field id="parasol_refl"  long_name="PARASOL-like mono-directional reflectance" unit="1" axis_ref="sza" />
       <field id="parasol_crefl"  long_name="PARASOL-like mono-directional reflectance (integral)" unit="1" axis_ref="sza" />
+      <field id="Ncrefl"  long_name="Nb for PARASOL-like mono-directional reflectance" unit="1" axis_ref="sza" />
       <field id="c01_cfad_lidarsr532" long_name="Lidar Scattering Ratio CFAD (532 nm)" unit="1" axis_ref="presnivs" />
       <field id="c02_cfad_lidarsr532" long_name="Lidar Scattering Ratio CFAD (532 nm)" unit="1" axis_ref="presnivs" />
@@ -649,5 +650,5 @@
     </field_group>  
 
-    <field_group id="fields_COSP_ISCCP" domain_ref="dom_glo">
+    <field_group id="fields_COSP_ISCCP" domain_ref="dom_glo" freq_op="3h">
       <field id="sunlit" long_name="1 for day points, 0 for nightime" unit="1" />
       <field id="c01_clisccp2" long_name="Cloud Fraction as Calculated by the ISCCP Simulator" unit="1" axis_ref="pressure2" />
Index: LMDZ5/branches/LMDZ6_rc0/DefLists/file_def_histdayCOSP_lmdz.xml
===================================================================
--- LMDZ5/branches/LMDZ6_rc0/DefLists/file_def_histdayCOSP_lmdz.xml	(revision 2272)
+++ LMDZ5/branches/LMDZ6_rc0/DefLists/file_def_histdayCOSP_lmdz.xml	(revision 2276)
@@ -4,5 +4,5 @@
 
             <!-- VARS 2D -->
-            <field_group operation="instant" freq_op="1ts">
+            <field_group operation="average" freq_op="3h">
                 <field field_ref="cllcalipso"         level="1" />
                 <field field_ref="clmcalipso"         level="1" />
@@ -12,4 +12,5 @@
                 <field field_ref="parasol_refl"  level="1" axis_ref="sza" />
                 <field field_ref="parasol_crefl"  level="1" axis_ref="sza" />
+                <field field_ref="Ncrefl"  level="1" axis_ref="sza" />
 		<field field_ref="c01_cfad_lidarsr532"  level="10" axis_ref="presnivs" />
 		<field field_ref="c02_cfad_lidarsr532"  level="10" axis_ref="presnivs" />
Index: LMDZ5/branches/LMDZ6_rc0/DefLists/file_def_histhfCOSP_lmdz.xml
===================================================================
--- LMDZ5/branches/LMDZ6_rc0/DefLists/file_def_histhfCOSP_lmdz.xml	(revision 2272)
+++ LMDZ5/branches/LMDZ6_rc0/DefLists/file_def_histhfCOSP_lmdz.xml	(revision 2276)
@@ -1,8 +1,8 @@
 <file_definition>
      <file_group id="defile">
-        <file id="histhfCOSP" name="XhisthfCOSP" output_freq="6h" output_level="10"  enabled=".FALSE.">
+        <file id="histhfCOSP" name="XhisthfCOSP" output_freq="3h" output_level="10"  enabled=".FALSE.">
 
             <!-- VARS 2D -->
-            <field_group operation="instant" freq_op="1ts">
+            <field_group operation="instant" freq_op="3h">
                 <field field_ref="cllcalipso"         level="1" />
                 <field field_ref="clmcalipso"         level="1" />
@@ -12,4 +12,5 @@
                 <field field_ref="parasol_refl"  level="1" axis_ref="sza" />
                 <field field_ref="parasol_crefl"  level="1" axis_ref="sza" />
+                <field field_ref="Ncrefl"  level="1" axis_ref="sza" />
 		<field field_ref="c01_cfad_lidarsr532"  level="10" axis_ref="presnivs" />
 		<field field_ref="c02_cfad_lidarsr532"  level="10" axis_ref="presnivs" />
Index: LMDZ5/branches/LMDZ6_rc0/DefLists/file_def_histmthCOSP_lmdz.xml
===================================================================
--- LMDZ5/branches/LMDZ6_rc0/DefLists/file_def_histmthCOSP_lmdz.xml	(revision 2272)
+++ LMDZ5/branches/LMDZ6_rc0/DefLists/file_def_histmthCOSP_lmdz.xml	(revision 2276)
@@ -1,8 +1,8 @@
 <file_definition>
      <file_group id="defile">
-        <file id="histmthCOSP" name="XhistmthCOSP" output_freq="5d" output_level="10"  enabled=".FALSE.">
+        <file id="histmthCOSP" name="XhistmthCOSP" output_freq="1mo" output_level="10"  enabled=".FALSE.">
 
             <!-- VARS 2D -->
-            <field_group operation="instant" freq_op="1ts">
+            <field_group operation="average" freq_op="3h">
                 <field field_ref="cllcalipso"         level="1" />
                 <field field_ref="clmcalipso"         level="1" />
@@ -12,4 +12,5 @@
                 <field field_ref="parasol_refl"  level="1" axis_ref="sza" />
                 <field field_ref="parasol_crefl"  level="1" axis_ref="sza" />
+                <field field_ref="Ncrefl"  level="1" axis_ref="sza" />
 		<field field_ref="c01_cfad_lidarsr532"  level="10" axis_ref="presnivs" />
 		<field field_ref="c02_cfad_lidarsr532"  level="10" axis_ref="presnivs" />