Index: LMDZ5/trunk/libf/dyn3d/advtrac.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/advtrac.F90	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3d/advtrac.F90	(revision 2281)
@@ -225,5 +225,6 @@
 
      if (ok_iso_verif) then
-           call check_isotopes_seq(q,1,ip1jmp1,'advtrac 162')
+           write(*,*) 'advtrac 227'
+           call check_isotopes_seq(q,ip1jmp1,'advtrac 162')
      endif !if (ok_iso_verif) then
 
@@ -399,4 +400,5 @@
 
      if (ok_iso_verif) then
+           write(*,*) 'advtrac 402'
            call check_isotopes_seq(q,ip1jmp1,'advtrac 397')
      endif !if (ok_iso_verif) then
Index: LMDZ5/trunk/libf/dyn3d/caladvtrac.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/caladvtrac.F	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3d/caladvtrac.F	(revision 2281)
@@ -85,5 +85,7 @@
           ENDDO
 
+          write(*,*) 'caladvtrac 87'
           CALL qminimum( q, nqtot, finmasse )
+          write(*,*) 'caladvtrac 89'
 
           CALL SCOPY   ( ip1jmp1*llm, masse, 1, finmasse,       1 )
Index: LMDZ5/trunk/libf/dyn3d/check_isotopes.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/check_isotopes.F	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3d/check_isotopes.F	(revision 2281)
@@ -29,4 +29,5 @@
         if (ok_isotopes) then
 
+        write(*,*) 'check_isotopes 31: err_msg=',err_msg
         ! verifier que rien n'est NaN
         do ixt=1,ntraciso
@@ -49,4 +50,5 @@
         enddo !do ixt=1,ntraciso
 
+        !write(*,*) 'check_isotopes 52'
         ! verifier que l'eau normale est OK
         if (use_iso(1)) then
@@ -74,4 +76,5 @@
         endif !if (use_iso(1)) then
         
+        !write(*,*) 'check_isotopes 78'
         ! verifier que HDO est raisonable
         if (use_iso(2)) then
@@ -98,4 +101,5 @@
         endif !if (use_iso(2)) then
 
+        !write(*,*) 'check_isotopes 103'
         ! verifier que O18 est raisonable
         if (use_iso(3)) then
@@ -123,4 +127,5 @@
 
 
+        !write(*,*) 'check_isotopes 129'
         if (ok_isotrac) then
 
@@ -191,4 +196,5 @@
 
         endif ! if (ok_isotopes)
+        !write(*,*) 'check_isotopes 198'
         
         end
Index: LMDZ5/trunk/libf/dyn3d/leapfrog.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/leapfrog.F	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3d/leapfrog.F	(revision 2281)
@@ -344,4 +344,5 @@
      *        p, masse, dq,  teta,
      .        flxw, pk)
+          write(*,*) 'caladvtrac 346'
 
          
Index: LMDZ5/trunk/libf/dyn3d/qminimum.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/qminimum.F	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3d/qminimum.F	(revision 2281)
@@ -152,5 +152,5 @@
        enddo !do k=2,llm
 
-        if (ok_iso_verif) then
+        if (ok_iso_verif) then     
            call check_isotopes_seq(q,ip1jmp1,'qminimum 168')
         endif !if (ok_iso_verif) then
@@ -158,5 +158,5 @@
       
         ! 3) transfert d'eau de la vapeur au liquide
-        !write(*,*) 'qminimum 164'
+        write(*,*) 'qminimum 164'
         do k=1,llm
         DO i = 1,ip1jmp1
@@ -186,5 +186,5 @@
 
       endif !if (ok_isotopes) then
-      !write(*,*) 'qminimum 188'
+      write(*,*) 'qminimum 188'
       
 c
Index: LMDZ5/trunk/libf/dyn3dmem/check_isotopes_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/check_isotopes_loc.F	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3dmem/check_isotopes_loc.F	(revision 2281)
@@ -30,8 +30,10 @@
         if (ok_isotopes) then
 
+        !write(*,*) 'check_isotopes 31: err_msg=',err_msg
         ! verifier que rien n'est NaN
         do ixt=1,ntraciso
           do phase=1,nqo
             iq=iqiso(ixt,phase)
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
             do k=1,llm
               DO i = ijb,ije
@@ -47,7 +49,9 @@
               enddo !DO i = ijb,ije
             enddo !do k=1,llm
+c$OMP END DO NOWAIT
           enddo !do phase=1,nqo
         enddo !do ixt=1,ntraciso
 
+        !write(*,*) 'check_isotopes 52'
         ! verifier que l'eau normale est OK
         if (use_iso(1)) then
@@ -55,4 +59,5 @@
           do phase=1,nqo
             iq=iqiso(ixt,phase)
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
             do k=1,llm
             DO i = ijb,ije  
@@ -63,5 +68,5 @@
                   write(*,*) 'erreur detectee par iso_verif_egalite:'
                   write(*,*) err_msg
-                  write(*,*) 'ixt,phase=',ixt,phase
+                  write(*,*) 'ixt,phase,ijb=',ixt,phase,ijb
                   write(*,*) 'q,iq,i,k=',q(i,k,iq),iq,i,k
                   write(*,*) 'q(i,k,phase)=',q(i,k,phase)
@@ -72,7 +77,9 @@
             enddo ! DO i = ijb,ije
             enddo !do k=1,llm
+c$OMP END DO NOWAIT
           enddo ! do phase=1,nqo 
         endif !if (use_iso(1)) then
         
+        !write(*,*) 'check_isotopes 78'
         ! verifier que HDO est raisonable
         if (use_iso(2)) then
@@ -80,4 +87,5 @@
           do phase=1,nqo
             iq=iqiso(ixt,phase)
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
             do k=1,llm
             DO i = ijb,ije
@@ -96,7 +104,9 @@
             enddo !DO i = ijb,ije
             enddo !do k=1,llm
+c$OMP END DO NOWAIT
           enddo ! do phase=1,nqo 
         endif !if (use_iso(2)) then
 
+        !write(*,*) 'check_isotopes 103'
         ! verifier que O18 est raisonable
         if (use_iso(3)) then
@@ -104,4 +114,5 @@
           do phase=1,nqo
             iq=iqiso(ixt,phase)
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
             do k=1,llm
             DO i = ijb,ije
@@ -120,8 +131,10 @@
             enddo !DO i = ijb,ije
             enddo !do k=1,llm
+c$OMP END DO NOWAIT
           enddo ! do phase=1,nqo 
         endif !if (use_iso(2)) then
 
 
+        !write(*,*) 'check_isotopes 129'
         if (ok_isotrac) then
 
@@ -133,4 +146,5 @@
                iq=iqiso(ixt,phase)
                iqeau=iqiso(ieau,phase)
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
                do k=1,llm
                 DO i = ijb,ije
@@ -150,4 +164,5 @@
                 enddo !DO i = ijb,ije
                 enddo  ! do k=1,llm
+c$OMP END DO NOWAIT
               enddo ! do phase=1,nqo    
             enddo !do izone=1,ntraceurs_zone
@@ -157,4 +172,5 @@
            do phase=1,nqo
               iq=iqiso(iiso,phase)
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
               do k=1,llm
                 DO i = ijb,ije
@@ -186,4 +202,5 @@
                 enddo !DO i = ijb,ije
               enddo !do k=1,llm
+c$OMP END DO NOWAIT
            enddo !do phase=1,nqo
           enddo !do iiso=1,niso
@@ -192,4 +209,5 @@
 
         endif ! if (ok_isotopes)
+        !write(*,*) 'check_isotopes 198'
         
         end
Index: LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F	(revision 2281)
@@ -89,8 +89,4 @@
       !write(*,*) 'integrd 88: entree, nq=',nq
 c-----------------------------------------------------------------------
-
-        if (ok_iso_verif) then
-           call check_isotopes(q,ijb,ije,'integrd 92')
-        endif !if (ok_iso_verif) then
 
 c$OMP BARRIER     
@@ -168,4 +164,5 @@
 c$OMP END MASTER
 c$OMP BARRIER
+        write(*,*) 'integrd 170'
       IF (.NOT. Checksum_all) THEN
         call WriteField_v('int_vcov',vcov)
@@ -197,4 +194,5 @@
        
 c
+        write(*,*) 'integrd 200'
 C$OMP MASTER
       if (pole_nord) THEN
@@ -287,4 +285,5 @@
 c
 c
+        write(*,*) 'integrd 291'
       IF (pole_nord) THEN
        
@@ -353,7 +352,7 @@
         endif !if (ok_iso_verif) then
 
-          !write(*,*) 'integrd 341'
-          CALL qminimum_loc( q, nq, deltap )
-          !write(*,*) 'integrd 343'
+        write(*,*) 'integrd 341'
+        CALL qminimum_loc( q, nq, deltap )
+        write(*,*) 'integrd 343'
 
         if (ok_iso_verif) then
Index: LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F	(revision 2281)
@@ -44,5 +44,5 @@
       REAL u_mq(ijb_u:ije_u,llm)
 
-      REAL masseq(ijb_u:ije_u,llm,nqtot),Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
+      REAL Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
       INTEGER ifils,iq2 ! CRisi
 
@@ -341,5 +341,5 @@
            ! On a besoin de q et masse seulement entre ijb et ije. On ne
            ! les calcule donc que de ijb à ije
-           masseq(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
+           masse(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
            Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
           enddo   
@@ -349,5 +349,5 @@
         do ifils=1,nqfils(iq)
          iq2=iqfils(ifils,iq)
-         call vlx_loc(Ratio,pente_max,masseq,u_mq,ijb_x,ije_x,iq2)
+         call vlx_loc(Ratio,pente_max,masse,u_mq,ijb_x,ije_x,iq2)
         enddo !do ifils=1,nqfils(iq)
       endif !if (nqfils(iq).gt.0) then
@@ -462,5 +462,5 @@
 c$OMP THREADPRIVATE(airej2,airejjm)
 
-      REAL masseq(ijb_u:ije_u,llm,nqtot),Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
+      REAL Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
       INTEGER ifils,iq2 ! CRisi
 c
@@ -739,5 +739,5 @@
          DO l=1,llm
          DO ij=ijb,ije
-           masseq(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
+           masse(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
            Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)     
           enddo   
@@ -748,5 +748,5 @@
         do ifils=1,nqfils(iq)
          iq2=iqfils(ifils,iq)
-         call vly_loc(Ratio,pente_max,masseq,qbyv,iq2)
+         call vly_loc(Ratio,pente_max,masse,qbyv,iq2)
         enddo !do ifils=1,nqfils(iq)
       endif !if (nqfils(iq).gt.0) then
@@ -1017,7 +1017,8 @@
          DO l=1,llm
           DO ij=ijb,ije
-           masseq(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
+           masse(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
            Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
-           wq(ij,l,iq2)=wq(ij,l,iq)
+           !wq(ij,l,iq2)=wq(ij,l,iq) ! correction bug le 15mai2015
+           w(ij,l,iq2)=wq(ij,l,iq)
           enddo   
          enddo
@@ -1025,8 +1026,8 @@
         enddo !do ifils=1,nqdesc(iq)
 c$OMP BARRIER
-        
+
         do ifils=1,nqfils(iq)
          iq2=iqfils(ifils,iq)
-         call vlz_loc(Ratio,pente_max,masseq,wq,ijb_x,ije_x,iq2)
+         call vlz_loc(Ratio,pente_max,masse,w,ijb_x,ije_x,iq2)
         enddo !do ifils=1,nqfils(iq)
       endif !if (nqfils(iq).gt.0) then
@@ -1035,5 +1036,5 @@
 ! CRisi: On rajoute ici une barrière car on veut être sur que tous les
 ! wq soient synchronisés
-      write(*,*) 'vlz 1032'  
+
 c$OMP BARRIER
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -1049,4 +1050,5 @@
 c$OMP END DO NOWAIT
 
+      
 ! retablir les fils en rapport de melange par rapport a l'air:
       if (nqfils(iq).gt.0) then  
@@ -1062,5 +1064,4 @@
         enddo !do ifils=1,nqdesc(iq)
       endif !if (nqfils(iq).gt.0) then
-
 
       RETURN
Index: LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F	(revision 2281)
@@ -193,10 +193,8 @@
 
       ! verif temporaire
-      ijb=ij_begin-2*iip1
-      ije=ij_end+2*iip1  
-      if (pole_nord) ijb=ij_begin
-      if (pole_sud)  ije=ij_end  
-      if (ok_iso_verif) then
-           call check_isotopes(zq,ijb,ije,'vlspltgen_loc 191')
+      ijb=ij_begin
+      ije=ij_end  
+      if (ok_iso_verif) then
+        call check_isotopes(zq,ijb,ije,'vlspltgen_loc 191')
       endif !if (ok_iso_verif) then   
 
@@ -459,7 +457,5 @@
 c$OMP BARRIER        
 
-          write(*,*) 'vlspltgen_loc 461'
 #ifdef _ADV_HALLO
-          write(*,*) 'vlspltgen_loc 462'
           call vlz_loc(zq,pente_max,zm,mw,
      &               ij_begin+2*iip1,ij_end-2*iip1,iq)
@@ -477,4 +473,5 @@
 
 c$OMP BARRIER
+      write(*,*) 'vlspltgen_loc 477'
 c$OMP MASTER
       call VTb(VTHallo)
Index: LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F	(revision 2281)
@@ -38,5 +38,5 @@
       REAL adxqu(ijb_u:ije_u),dxqmax(ijb_u:ije_u,llm)
       REAL u_mq(ijb_u:ije_u,llm)
-      REAL masseq(ijb_u:ije_u,llm,nqtot),Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
+      REAL Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
       INTEGER ifils,iq2 ! CRisi
 
@@ -345,5 +345,5 @@
          DO l=1,llm
           DO ij=ijb,ije
-           masseq(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
+           masse(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
            Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)      
           enddo   
@@ -354,5 +354,5 @@
          iq2=iqfils(ifils,iq)
          write(*,*) 'vlxqs 349: on appelle vlx pour iq2=',iq2
-         call vlx_loc(Ratio,pente_max,masseq,u_mq,ijb_x,ije_x,iq2)
+         call vlx_loc(Ratio,pente_max,masse,u_mq,ijb_x,ije_x,iq2)
         enddo !do ifils=1,nqfils(iq)
       endif !if (nqfils(iq).gt.0) then
@@ -462,5 +462,5 @@
 c
 c
-      REAL masseq(ijb_u:ije_u,llm,nqtot),Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
+      REAL Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
       INTEGER ifils,iq2 ! CRisi
 
@@ -738,5 +738,5 @@
          DO l=1,llm
           DO ij=ijb,ije
-           masseq(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
+           masse(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
            Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)   
           enddo   
@@ -746,5 +746,5 @@
         do ifils=1,nqfils(iq)
          iq2=iqfils(ifils,iq)
-         call vly_loc(Ratio,pente_max,masseq,qbyv,iq2)
+         call vly_loc(Ratio,pente_max,masse,qbyv,iq2)
         enddo !do ifils=1,nqfils(iq)
       endif !if (nqfils(iq).gt.0) then
Index: LMDZ5/trunk/libf/dyn3dmem/vlz_mod.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/vlz_mod.F90	(revision 2280)
+++ LMDZ5/trunk/libf/dyn3dmem/vlz_mod.F90	(revision 2281)
@@ -6,5 +6,5 @@
   REAL,POINTER,SAVE :: adzqw(:,:)
   ! CRisi: pour les traceurs:  
-  REAL,POINTER,SAVE :: masseq(:,:,:)
+  !REAL,POINTER,SAVE :: masseq(:,:,:)
   REAL,POINTER,SAVE :: Ratio(:,:,:)
   
@@ -26,5 +26,5 @@
     CALL allocate_u(adzqw,llm,d)
     if (nqdesc_tot.gt.0) then
-    CALL allocate_u(masseq,llm,nqtot,d)
+    !CALL allocate_u(masseq,llm,nqtot,d)
     CALL allocate_u(Ratio,llm,nqtot,d)
     endif !if (nqdesc_tot.gt.0) then
@@ -46,5 +46,5 @@
     ! CRisi:
     if (nqdesc_tot.gt.0) then    
-    CALL switch_u(masseq,distrib_vanleer,dist)
+    !CALL switch_u(masseq,distrib_vanleer,dist)
     CALL switch_u(Ratio,distrib_vanleer,dist)
     endif !if (nqdesc_tot.gt.0) then     