Index: LMDZ5/trunk/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 2448)
+++ LMDZ5/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 2450)
@@ -305,8 +305,8 @@
 
 !!! nrlmd+jyg le 02/05/2011 et le 20/02/2012
-!!    REAL, DIMENSION(klon,klev),   INTENT(IN)        :: t_x       ! Température hors poche froide
-!!    REAL, DIMENSION(klon,klev),   INTENT(IN)        :: t_w       ! Température dans la poches froide
+!!    REAL, DIMENSION(klon,klev),   INTENT(IN)        :: t_x       ! Temp\'erature hors poche froide
+!!    REAL, DIMENSION(klon,klev),   INTENT(IN)        :: t_w       ! Temp\'erature dans la poches froide
 !!    REAL, DIMENSION(klon,klev),   INTENT(IN)        :: q_x       ! 
-!!    REAL, DIMENSION(klon,klev),   INTENT(IN)        :: q_w       ! Pareil pour l'humidité
+!!    REAL, DIMENSION(klon,klev),   INTENT(IN)        :: q_w       ! Pareil pour l'humidit\'e
     REAL, DIMENSION(klon,klev),   INTENT(IN)        :: wake_dlt  !temperature difference between (w) and (x) (K)
     REAL, DIMENSION(klon,klev),   INTENT(IN)        :: wake_dlq  !humidity difference between (w) and (x) (K)
@@ -679,5 +679,5 @@
 
 !!! jyg le 25/03/2013
-!!    Variables intermediaires pour le raccord des deux colonnes à la surface
+!!    Variables intermediaires pour le raccord des deux colonnes \`a la surface
     REAL   ::   dd_Ch
     REAL   ::   dd_Cm
@@ -1572,5 +1572,5 @@
 
 !!! nrlmd le 13/06/2011
-!----- On finit le calcul des coefficients d'échange:on multiplie le cdrag par le module du vent et la densité dans la première couche 
+!----- On finit le calcul des coefficients d'\'echange:on multiplie le cdrag par le module du vent et la densit\'e dans la premi\`ere couche 
 !          Kech_h_x(j) = ycdragh_x(j) * &
 !             (1.0+SQRT(yu_x(j,1)**2+yv_x(j,1)**2)) * &
@@ -1664,5 +1664,5 @@
        ENDIF
 !
-! Calcul des coef A, B équivalents dans la couche 1
+! Calcul des coef A, B \'equivalents dans la couche 1
 !
        AcoefH(j) = AcoefH_x(j) + ywake_s(j)*(Kech_H_wp(j)/Kech_Hp(j))*dd_AH
@@ -1684,10 +1684,10 @@
 
 !
-! Calcul des cdrag équivalents dans la couche 
+! Calcul des cdrag \'equivalents dans la couche 
 !
        ycdragm(j) = ycdragm_x(j) + ywake_s(j)*dd_CM
        ycdragh(j) = ycdragh_x(j) + ywake_s(j)*dd_CH
 !
-! Calcul de T, q, u et v équivalents dans la couche 1
+! Calcul de T, q, u et v \'equivalents dans la couche 1
        yt(j,1) = yt_x(j,1) + ywake_s(j)*(Kech_h_w(j)/Kech_h(j))*dd_t
        yq(j,1) = yq_x(j,1) + ywake_s(j)*(Kech_h_w(j)/Kech_h(j))*dd_q
@@ -1993,5 +1993,5 @@
 !!jyg!!         ENDIF
 !!jyg!!
-!!jyg!!!-----Calcul de ybeta (evap_réelle/evap_potentielle)
+!!jyg!!!-----Calcul de ybeta (evap_r\'eelle/evap_potentielle)
 !!jyg!!!!!!! jyg le 23/02/2012
 !!jyg!!!!!!!
Index: LMDZ5/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/physiq_mod.F90	(revision 2448)
+++ LMDZ5/trunk/libf/phylmd/physiq_mod.F90	(revision 2450)
@@ -451,5 +451,5 @@
   real w0(klon)                                          ! Vitesse des thermiques au LCL
   real w_conv(klon)                                      ! Vitesse verticale de grande \'echelle au LCL
-  real tke0(klon,klev+1)                                 ! TKE au dÃ©but du pas de temps
+  real tke0(klon,klev+1)                                 ! TKE au début du pas de temps
   real therm_tke_max0(klon)                              ! TKE dans les thermiques au LCL 
   real env_tke_max0(klon)                                ! TKE dans l'environnement au LCL 
@@ -1768,5 +1768,5 @@
         else
 
-!CR: on rÃ©-Ã©vapore eau liquide et glace
+!CR: on ré-évapore eau liquide et glace
 
 !        zdelta = MAX(0.,SIGN(1.,RTT-t_seri(i,k)))
@@ -1780,5 +1780,5 @@
         q_seri(i,k) = q_seri(i,k) + zb
         ql_seri(i,k) = 0.0
-!on Ã©vapore la glace
+!on évapore la glace
         qs_seri(i,k) = 0.0
         d_t_eva(i,k) = za
@@ -2591,5 +2591,5 @@
   !
   !!! nrlmd le 22/03/2011---Si on met les poches hors des thermiques il faut rajouter cette
-  !------------------------- tendance calculée hors des poches froides
+  !------------------------- tendance calcul\'ee hors des poches froides
   !
   if (iflag_wake>=1) then
@@ -2655,5 +2655,5 @@
            DO i=1,klon
               IF (rneb(i,k)==0.) THEN
-! On ne tient compte des tendances qu'en dehors des nuages (c'est ï¿½|  dire
+! On ne tient compte des tendances qu'en dehors des nuages (c'est-\`a-dire
 ! a priri dans une region ou l'eau se reevapore).
                 dt_dwn(i,k)= dt_dwn(i,k)+ &
@@ -2806,5 +2806,5 @@
          IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
 !  Si les thermiques ne sont presents que hors des poches, la tendance moyenne
-!  associée doit etre multipliee par la fraction surfacique qu'ils couvrent.
+!  associ\'ee doit etre multipliee par la fraction surfacique qu'ils couvrent.
           DO k=1,klev
            DO i=1,klon